> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get tabs on page

GET https://demo.docusign.net/restapi/v2/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/pages/{pageNumber}/tabs



Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/envelopes/envelopedocumenttabs/getbypage

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `documentId` (string, required) — The ID of the document being accessed.
- `envelopeId` (string, required) — The envelope's GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec
- `pageNumber` (string, required) — The page number being accessed.

## Response

### 200

Successful response.

- `approveTabs` (list of approve, optional) — A list of [Approve tabs][approve]. This tab allows the recipient to approve documents without placing a signature or initials on the document. If the recipient clicks the tab during the signing process, the recipient is considered to have signed the document. No information is shown on the document of the approval, but it is recorded as a signature in the envelope history. [approve]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/approve
- `checkboxTabs` (list of checkbox, optional) — A list of [Checkbox tabs][checkbox]. This tab allows the recipient to select a yes/no (on/off) option. [checkbox]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/checkbox
- `companyTabs` (list of company, optional) — A list of [Company tabs][company]. This tab displays the recipient's company name. [company]: https://developers.docusign.com/esign-rest-api/reference/EnvelopeRecipientTabs/create/#/definitions/company
- `dateSignedTabs` (list of dateSigned, optional) — A list of [Date Signed tabs][dateSigned] This tab displays the date that the recipient signed the document. [dateSigned]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/dateSigned
- `dateTabs` (list of date, optional) — A list of [Date tabs][date]. This tab allows the recipient to enter a date. Date tabs are one-line fields that allow date information to be entered in any format. The tooltip for this tab recommends entering the date as MM/DD/YYYY, but this is not enforced. The format entered by the signer is retained. If you need a particular date format enforced, DocuSign recommends using a Text tab with a validation pattern and a validation message to enforce the format. [date]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/date
- `declineTabs` (list of decline, optional) — A list of [Decline tabs][decline]. This tab allows the recipient the option of declining an envelope. If the recipient clicks the tab during the signing process, the envelope is voided. [decline]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/decline
- `emailAddressTabs` (list of emailAddress, optional) — A list of [Email Address tabs][emailAddress]. This tab displays the recipient's email as entered in the recipient information. [emailAddress]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/emailAddress
- `emailTabs` (list of email, optional) — A list of [Email tabs][email]. This tab allows the recipient to enter an email address. This is a one-line field that checks that a valid email address is entered. It uses the same parameters as a Text tab, with the validation message and pattern set for email information. When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response. [email]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/email
- `envelopeIdTabs` (list of envelopeId, optional) — A list of [Envelope ID tabs][envelopeId]. This tab displays the envelope ID. Recipients cannot enter or change the information in this tab. [envelopeId]: https://developers.docusign.com/esign-rest-api/reference/EnvelopeRecipientTabs/create/#/definitions/envelopeId
- `firstNameTabs` (list of firstName, optional) — A list of [First Name tabs][firstName]. This tab displays the recipient's first name. It takes the recipient's name as entered in the recipient information, splits it into sections based on spaces and uses the first section as the first name. [firstName]: https://developers.docusign.com/esign-rest-api/reference/EnvelopeRecipientTabs/create/#/definitions/firstName
- `formulaTabs` (list of formulaTab, optional) — A list of [Formula tabs][formulaTab]. The value of a formula tab is calculated from the values of other number or date tabs in the document. When the recipient completes the underlying fields, the formula tab calculates and displays the result. The `formula` property of the tab contains the references to the underlying tabs. See [Calculated Fields][calculatedfields] in the DocuSign Support Center to learn more about formulas. If a formula tab contains a `paymentDetails` property, the tab is considered a payment item. See [Requesting Payments Along with Signatures][paymentguide] in the DocuSign Support Center to learn more about payments. [calculatedfields]: https://support.docusign.com/en/guides/ndse-user-guide-calculated-fields [paymentguide]: https://support.docusign.com/en/guides/requesting-payments-along-with-signatures [formulaTab]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/formulaTab
- `fullNameTabs` (list of fullName, optional) — A list of [Full Name tabs][fullName]. This tab displays the recipient's full name. [fullName]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/fullName
- `initialHereTabs` (list of initialHere, optional) — A list of [Initial Here tabs][initialHere]. This tab allows the recipient to initial the document. May be optional. [initialHere]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/initialHere
- `lastNameTabs` (list of lastName, optional) — A list of [Last Name tabs][lastName]. This tab displays the recipient's last name. It takes the recipient's name as entered in the recipient information, splits it into sections based on spaces and uses the last section as the last name. [lastName]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/lastName
- `listTabs` (list of list, optional) — A list of [list tabs][list]. This tab offers a list of options to choose from. The `listItems` property is used to specify the selectable options. [list]: https://developers.docusign.com/esign-rest-api/reference/EnvelopeRecipientTabs/create/#/definitions/list
- `notarizeTabs` (list of notarize, optional) — A list of [Notarize tabs][notarize]. A notarize tab is a tab that alerts notary recipients that they must take action on the page. Only one notarize tab can appear on a page. [notarize]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/notarize
- `noteTabs` (list of note, optional) — A list of [Note tabs][note]. This tab displays additional information, in the form of a note, for the recipient. [note]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/note
- `numberTabs` (list of number, optional) — A list of [Number tabs][number]. This tab allows the recipient to enter numbers and decimal (.) points. [number]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/number
- `radioGroupTabs` (list of radioGroup, optional) — A list of [Radio Group tabs][radioGroup]. This tab This group tab is used to place radio buttons on a document. The `radios` property is used to add and place the radio buttons associated with the group. Only one radio button can be selected in a group. [radioGroup]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/radioGroup
- `signerAttachmentTabs` (list of signerAttachment, optional) — A list of [Signer Attachment tabs][signerAttachment]. This tab allows the recipient to attach supporting documents to an envelope. [signerAttachment]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/signerAttachment
- `signHereTabs` (list of signHere, optional) — A list of [Sign Here tabs][signHere]. This tab allows the recipient to sign a document. May be optional. [signHere]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/signHere
- `smartSectionTabs` (list of smartSection, optional)
- `ssnTabs` (list of ssn, optional) — A list of [SSN tabs][ssn]. This tab is a one-line field that allows the recipient to enter a Social Security Number. The SSN can be typed with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for SSN information. [ssn]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/ssn
- `textTabs` (list of text, optional) — A list of [Text tabs][text]. This tab A tab that allows the recipient to enter any type of text. [text]: https://developers.docusign.com/esign-rest-api/reference/EnvelopeRecipientTabs/create/#/definitions/text
- `titleTabs` (list of title, optional) — A list of [Title tabs][title]. This tab displays the recipient's title. [title]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/title
- `viewTabs` (list of view, optional) — A list of [View tabs][view]. This tab This tab is used with the Approve tab to handle supplemental documents. [view]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/view
- `zipTabs` (list of zip, optional) — A list of [Zip tabs][zip]. This tab allows the recipient to enter a ZIP code. The ZIP code can be five digits or nine digits in the ZIP+4 format. The zip code can be typed with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for ZIP code information. [zip]: https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/zip

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### approve

A tab that allows the recipient to approve documents without placing a signature or initials on the document.

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorString` (string, optional) — Specifies the anchor string.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `bold` (string, optional) — When set to **true**, the information in the tab is bold.
- `buttonText` (string, optional) — Specifies the approval text displayed in the tab.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `font` (string, optional) — The font to be used for the tab value. Supported Fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OCR-A - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color used for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `height` (integer, optional) — Height of the tab in pixels.
- `italic` (string, optional) — When set to **true**, the information in the tab is italic.
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `status` (string, optional) — Tab status
- `tabGroupLabels` (list of string, optional)
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `tooltip` (string, optional)
- `underline` (string, optional) — When set to **true**, the information in the tab is underlined.
- `width` (integer, optional) — Width of the tab in pixels.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)

### checkbox

A tab that allows the recipient to select a yes/no (on/off) option.

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorString` (string, optional) — Specifies the anchor string.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `locked` (string, optional) — When set to **true**, the signer cannot change the data of the custom tab.
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `name` (string, optional) — Specifies the tool tip text for the tab.
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `required` (string, optional) — This property does not apply to `checkbox` tabs. Check boxes are always optional.
- `requireInitialOnSharedChange` (string, optional) — Optional element for field markup. When set to **true**, the signer is required to initial when they modify a shared field.
- `selected` (string, optional) — When set to **true**, the checkbox is selected.
- `shared` (string, optional) — When set to **true**, this custom tab is shared.
- `status` (string, optional) — Tab status
- `tabGroupLabels` (list of string, optional)
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `tooltip` (string, optional)
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-7, -6)
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-7, -6)

### company

A tab that displays the recipient's company name.

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorString` (string, optional) — Specifies the anchor string.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `bold` (string, optional) — When set to **true**, the information in the tab is bold.
- `concealValueOnDocument` (string, optional) — When set to **true**, the field appears normally while the recipient is adding or modifying the information in the field, but the data is not visible (the characters are hidden by asterisks) to any other signer or the sender. When an envelope is completed the information is available to the sender through the Form Data link in the DocuSign Console. This setting applies only to text boxes and does not affect list boxes, radio buttons, or check boxes.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `disableAutoSize` (string, optional) — When set to **true**, disables the auto sizing of single line text boxes in the signing screen when the signer enters data. If disabled users will only be able enter as much data as the text box can hold. By default this is false. This property only affects single line text boxes.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `font` (string, optional) — The font to be used for the tab value. Supported Fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OCR-A - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color used for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `italic` (string, optional) — When set to **true**, the information in the tab is italic.
- `locked` (string, optional) — When set to **true**, the signer cannot change the data of the custom tab.
- `maxLength` (integer, optional) — An optional value that describes the maximum length of the property when the property is a string.
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `name` (string, optional) — Specifies the tool tip text for the tab.
- `originalValue` (string, optional) — The initial value of the tab when it was sent to the recipient.
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `required` (string, optional) — When set to **true**, the signer is required to fill out this tab
- `status` (string, optional) — Tab status
- `tabGroupLabels` (list of string, optional)
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `tooltip` (string, optional)
- `underline` (string, optional) — When set to **true**, the information in the tab is underlined.
- `value` (string, optional) — Specifies the value of the tab.
- `width` (integer, optional) — Width of the tab in pixels.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)

### dateSigned

A tab that displays the date that the recipient signed the document.

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorString` (string, optional) — Specifies the anchor string.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `bold` (string, optional) — When set to **true**, the information in the tab is bold.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `font` (string, optional) — The font to be used for the tab value. Supported Fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OCR-A - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color used for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `italic` (string, optional) — When set to **true**, the information in the tab is italic.
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `name` (string, optional)
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `status` (string, optional) — Tab status
- `tabGroupLabels` (list of string, optional)
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `tooltip` (string, optional)
- `underline` (string, optional) — When set to **true**, the information in the tab is underlined.
- `value` (string, optional) — Specifies the value of the tab.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)

### date

A tab that allows the recipient to enter a date. Date tabs are one-line fields that allow date information to be entered in any format. The tooltip for this tab recommends entering the date as MM/DD/YYYY, but this is not enforced. The format entered by the signer is retained. If you need a particular date format enforced, DocuSign recommends using a Text tab with a validation pattern and a validation message to enforce the format.

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorString` (string, optional) — Specifies the anchor string.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `bold` (string, optional) — When set to **true**, the information in the tab is bold.
- `concealValueOnDocument` (string, optional) — When set to **true**, the field appears normally while the recipient is adding or modifying the information in the field, but the data is not visible (the characters are hidden by asterisks) to any other signer or the sender. When an envelope is completed the information is available to the sender through the Form Data link in the DocuSign Console. This setting applies only to text boxes and does not affect list boxes, radio buttons, or check boxes.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `disableAutoSize` (string, optional) — When set to **true**, disables the auto sizing of single line text boxes in the signing screen when the signer enters data. If disabled users will only be able enter as much data as the text box can hold. By default this is false. This property only affects single line text boxes.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `font` (string, optional) — The font to be used for the tab value. Supported Fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OCR-A - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color used for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `italic` (string, optional) — When set to **true**, the information in the tab is italic.
- `locked` (string, optional) — When set to **true**, the signer cannot change the data of the custom tab.
- `maxLength` (integer, optional) — An optional value that describes the maximum length of the property when the property is a string.
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `name` (string, optional)
- `originalValue` (string, optional) — The initial value of the tab when it was sent to the recipient.
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `requireAll` (string, optional) — When set to **true** and shared is true, information must be entered in this field to complete the envelope.
- `required` (string, optional) — When set to **true**, the signer is required to fill out this tab
- `requireInitialOnSharedChange` (string, optional) — Optional element for field markup. When set to **true**, the signer is required to initial when they modify a shared field.
- `senderRequired` (string, optional) — When set to **true**, the sender must populate the tab before an envelope can be sent using the template. This value tab can only be changed by modifying (PUT) the template. Tabs with a `senderRequired` value of true cannot be deleted from an envelope.
- `shared` (string, optional) — When set to **true**, this custom tab is shared.
- `status` (string, optional) — Tab status
- `tabGroupLabels` (list of string, optional)
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `tooltip` (string, optional)
- `underline` (string, optional) — When set to **true**, the information in the tab is underlined.
- `validationMessage` (string, optional) — The message displayed if the custom tab fails input validation (either custom of embedded).
- `validationPattern` (string, optional) — A regular expressionn used to validate input for the tab.
- `value` (string, optional) — Specifies the value of the tab.
- `width` (integer, optional) — Width of the tab in pixels.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)

### decline

A tab that allows the recipient the option of declining an envelope. If the recipient clicks the tab during the signing process, the envelope is voided.

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorString` (string, optional) — Specifies the anchor string.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `bold` (string, optional) — When set to **true**, the information in the tab is bold.
- `buttonText` (string, optional) — Specifies the decline text displayed in the tab.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `declineReason` (string, optional) — The reason the recipient declined the document.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `font` (string, optional) — The font to be used for the tab value. Supported Fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OCR-A - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color used for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `height` (integer, optional) — Height of the tab in pixels.
- `italic` (string, optional) — When set to **true**, the information in the tab is italic.
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `status` (string, optional) — Tab status
- `tabGroupLabels` (list of string, optional)
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `tooltip` (string, optional)
- `underline` (string, optional) — When set to **true**, the information in the tab is underlined.
- `width` (integer, optional) — Width of the tab in pixels.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)

### emailAddress

A tab that displays the recipient's email as entered in the recipient information.

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorString` (string, optional) — Specifies the anchor string.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `bold` (string, optional) — When set to **true**, the information in the tab is bold.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `font` (string, optional) — The font to be used for the tab value. Supported Fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OCR-A - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color used for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `italic` (string, optional) — When set to **true**, the information in the tab is italic.
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `name` (string, optional)
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `status` (string, optional) — Tab status
- `tabGroupLabels` (list of string, optional)
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `tooltip` (string, optional)
- `underline` (string, optional) — When set to **true**, the information in the tab is underlined.
- `value` (string, optional) — Specifies the value of the tab.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)

### email

A tab that allows the recipient to enter an email address. This is a one-line field that checks that a valid email address is entered. It uses the same parameters as a Text tab, with the validation message and pattern set for email information. When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response.

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorString` (string, optional) — Specifies the anchor string.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `bold` (string, optional) — When set to **true**, the information in the tab is bold.
- `concealValueOnDocument` (string, optional) — When set to **true**, the field appears normally while the recipient is adding or modifying the information in the field, but the data is not visible (the characters are hidden by asterisks) to any other signer or the sender. When an envelope is completed the information is available to the sender through the Form Data link in the DocuSign Console. This setting applies only to text boxes and does not affect list boxes, radio buttons, or check boxes.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `disableAutoSize` (string, optional) — When set to **true**, disables the auto sizing of single line text boxes in the signing screen when the signer enters data. If disabled users will only be able enter as much data as the text box can hold. By default this is false. This property only affects single line text boxes.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `font` (string, optional) — The font to be used for the tab value. Supported Fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OCR-A - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color used for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `italic` (string, optional) — When set to **true**, the information in the tab is italic.
- `locked` (string, optional) — When set to **true**, the signer cannot change the data of the custom tab.
- `maxLength` (integer, optional) — An optional value that describes the maximum length of the property when the property is a string.
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `name` (string, optional)
- `originalValue` (string, optional) — The initial value of the tab when it was sent to the recipient.
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `requireAll` (string, optional) — When set to **true** and shared is true, information must be entered in this field to complete the envelope.
- `required` (string, optional) — When set to **true**, the signer is required to fill out this tab
- `requireInitialOnSharedChange` (string, optional) — Optional element for field markup. When set to **true**, the signer is required to initial when they modify a shared field.
- `senderRequired` (string, optional) — When set to **true**, the sender must populate the tab before an envelope can be sent using the template. This value tab can only be changed by modifying (PUT) the template. Tabs with a `senderRequired` value of true cannot be deleted from an envelope.
- `shared` (string, optional) — When set to **true**, this custom tab is shared.
- `status` (string, optional) — Tab status
- `tabGroupLabels` (list of string, optional)
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `tooltip` (string, optional)
- `underline` (string, optional) — When set to **true**, the information in the tab is underlined.
- `validationMessage` (string, optional) — The message displayed if the custom tab fails input validation (either custom of embedded).
- `validationPattern` (string, optional) — A regular expressionn used to validate input for the tab.
- `value` (string, optional) — Specifies the value of the tab.
- `width` (integer, optional) — Width of the tab in pixels.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)

### envelopeId

A tab that displays the envelope ID. Recipients cannot enter or change the information in this tab.

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorString` (string, optional) — Specifies the anchor string.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `bold` (string, optional) — When set to **true**, the information in the tab is bold.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `font` (string, optional) — The font to be used for the tab value. Supported Fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OCR-A - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color used for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `italic` (string, optional) — When set to **true**, the information in the tab is italic.
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `name` (string, optional)
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `status` (string, optional) — Tab status
- `tabGroupLabels` (list of string, optional)
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `tooltip` (string, optional)
- `underline` (string, optional) — When set to **true**, the information in the tab is underlined.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero.
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero.

### firstName

A tab that displays the recipient's first name. This tab takes the recipient's name as entered in the recipient information, splits it into sections based on spaces and uses the first section as the first name.

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorString` (string, optional) — Specifies the anchor string.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `bold` (string, optional) — When set to **true**, the information in the tab is bold.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `font` (string, optional) — The font to be used for the tab value. Supported Fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OCR-A - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color used for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `italic` (string, optional) — When set to **true**, the information in the tab is italic.
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `name` (string, optional)
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `status` (string, optional) — Tab status
- `tabGroupLabels` (list of string, optional)
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `tooltip` (string, optional)
- `underline` (string, optional) — When set to **true**, the information in the tab is underlined.
- `value` (string, optional) — Specifies the value of the tab.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)

### formulaTab

The value of a formula tab is calculated from the values of other number or date tabs in the document. When the recipient completes the underlying fields, the formula tab calculates and displays the result. The `formula` property of the tab contains the references to the underlying tabs. See [Calculated Fields][calculatedfields] in the DocuSign Support Center to learn more about formulas. If a formula tab contains a `paymentDetails` property, the tab is considered a payment item. See [Requesting Payments Along with Signatures][paymentguide] in the DocuSign Support Center to learn more about payments. [calculatedfields]: https://support.docusign.com/en/guides/ndse-user-guide-calculated-fields [paymentguide]: https://support.docusign.com/en/guides/requesting-payments-along-with-signatures

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorString` (string, optional) — Specifies the anchor string.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `bold` (string, optional) — When set to **true**, the information in the tab is bold.
- `concealValueOnDocument` (string, optional) — When set to **true**, the field appears normally while the recipient is adding or modifying the information in the field, but the data is not visible (the characters are hidden by asterisks) to any other signer or the sender. When an envelope is completed the information is available to the sender through the Form Data link in the DocuSign Console. This setting applies only to text boxes and does not affect list boxes, radio buttons, or check boxes.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `disableAutoSize` (string, optional) — When set to **true**, disables the auto sizing of single line text boxes in the signing screen when the signer enters data. If disabled users will only be able enter as much data as the text box can hold. By default this is false. This property only affects single line text boxes.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `font` (string, optional) — The font to be used for the tab value. Supported Fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OCR-A - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color used for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `formula` (string, optional) — Contains the formula for calculating the value of this tab. Use a tab's `tabLabel`, enclosed in brackets, to refer to it. For example, you want to present the total cost of two items, tax included. The cost of each item is stored in number tabs labeled Item1 and Item2. The tax rate is in a number tab labeled TaxRate. The formula string for this property would be: `([Item1] + [Item2]) * (1 + [TaxRate])` See [Calculated Fields][calculatedfields] in the DocuSign Support Center to learn more about formulas. Maximum Length: 2000 characters [calculatedfields]: https://support.docusign.com/en/guides/ndse-user-guide-calculated-fields
- `hidden` (string, optional) — If this is a regular formula (no `paymentDetails` property is present): * **true**: The tab is hidden. * **false**: The tab is shown. If the formula is payment item (a `paymentDetails` property is present): * **true**: The tab is displayed as a payment. * **false**: The tab is displayed as a regular formula.
- `isPaymentAmount` (string, optional) — When set to **true**, sets this as a payment tab. Can only be used with Text, Number, Formula, or List tabs. The value of the tab must be a number.
- `italic` (string, optional) — When set to **true**, the information in the tab is italic.
- `locked` (string, optional) — When set to **true**, the signer cannot change the data of the custom tab.
- `maxLength` (integer, optional) — An optional value that describes the maximum length of the property when the property is a string.
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `name` (string, optional)
- `originalValue` (string, optional) — The initial value of the tab when it was sent to the recipient.
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `paymentDetails` (paymentDetails, optional) — When a formula tab has a `paymentDetails` property, the formula tab is a payment item. See [Requesting Payments Along with Signatures][paymentguide] in the DocuSign Support Center to learn more about payments. [paymentguide]: https://support.docusign.com/en/guides/requesting-payments-along-with-signatures
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `requireAll` (string, optional) — When set to **true** and shared is true, information must be entered in this field to complete the envelope.
- `required` (string, optional) — When set to **true**, the signer is required to fill out this tab
- `requireInitialOnSharedChange` (string, optional) — Optional element for field markup. When set to **true**, the signer is required to initial when they modify a shared field.
- `roundDecimalPlaces` (string, optional)
- `senderRequired` (string, optional) — When set to **true**, the sender must populate the tab before an envelope can be sent using the template. This value tab can only be changed by modifying (PUT) the template. Tabs with a `senderRequired` value of true cannot be deleted from an envelope.
- `shared` (string, optional) — When set to **true**, this custom tab is shared.
- `status` (string, optional) — Tab status
- `tabGroupLabels` (list of string, optional)
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `tooltip` (string, optional)
- `underline` (string, optional) — When set to **true**, the information in the tab is underlined.
- `validationMessage` (string, optional) — The message displayed if the custom tab fails input validation (either custom of embedded).
- `validationPattern` (string, optional) — A regular expressionn used to validate input for the tab.
- `value` (string, optional) — Specifies the value of the tab.
- `width` (integer, optional) — Width of the tab in pixels.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (+35, -2)
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (+35, -2)

### fullName

A tab that displays the recipient's full name.

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorString` (string, optional) — Specifies the anchor string.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `bold` (string, optional) — When set to **true**, the information in the tab is bold.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `font` (string, optional) — The font to be used for the tab value. Supported Fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OCR-A - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color used for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `italic` (string, optional) — When set to **true**, the information in the tab is italic.
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `name` (string, optional)
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `status` (string, optional) — Tab status
- `tabGroupLabels` (list of string, optional)
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `tooltip` (string, optional)
- `underline` (string, optional) — When set to **true**, the information in the tab is underlined.
- `value` (string, optional) — Specifies the value of the tab.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)

### initialHere

A tab that allows the recipient to initial the document. May be optional.

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorString` (string, optional) — Specifies the anchor string.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `name` (string, optional) — Specifies the tool tip text for the tab.
- `optional` (string, optional)
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `scaleValue` (float, optional) — Sets the size for the InitialHere tab. It can be value from 0.5 to 1.0, where 1.0 represents full size and 0.5 is 50% size.
- `status` (string, optional) — Tab status
- `tabGroupLabels` (list of string, optional)
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `tooltip` (string, optional)
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (+2, -23)
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (+2, -23)

### lastName

A tab that displays the recipient's last name. This tab takes the recipient's name as entered in the recipient information, splits it into sections based on spaces and uses the last section as the last name.

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorString` (string, optional) — Specifies the anchor string.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `bold` (string, optional) — When set to **true**, the information in the tab is bold.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `font` (string, optional) — The font to be used for the tab value. Supported Fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OCR-A - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color used for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `italic` (string, optional) — When set to **true**, the information in the tab is italic.
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `name` (string, optional)
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `status` (string, optional) — Tab status
- `tabGroupLabels` (list of string, optional)
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `tooltip` (string, optional)
- `underline` (string, optional) — When set to **true**, the information in the tab is underlined.
- `value` (string, optional) — Specifies the value of the tab.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)

### list

This tab offers a list of options to choose from. The `listItems` property contains a list of [`listItem`](https://developers.docusign.com/esign-rest-api/reference/Envelopes/EnvelopeRecipientTabs/create/#/definitions/listItem) objects to specify the selectable options.

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorString` (string, optional) — Specifies the anchor string.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `bold` (string, optional) — When set to **true**, the information in the tab is bold.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `font` (string, optional) — The font to be used for the tab value. Supported Fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OCR-A - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color used for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `italic` (string, optional) — When set to **true**, the information in the tab is italic.
- `listItems` (list of listItem, optional) — The list of values that can be selected by senders. The list values are separated by semi-colons. Example: [one;two;three;four] Maximum Length of listItems: 2048 characters. Maximum Length of items in the list: 100 characters.
- `locked` (string, optional) — When set to **true**, the signer cannot change the data of the custom tab.
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `requireAll` (string, optional) — When set to **true** and shared is true, information must be entered in this field to complete the envelope.
- `required` (string, optional) — When set to **true**, the signer is required to fill out this tab
- `requireInitialOnSharedChange` (string, optional) — Optional element for field markup. When set to **true**, the signer is required to initial when they modify a shared field.
- `senderRequired` (string, optional) — When set to **true**, the sender must populate the tab before an envelope can be sent using the template. This value tab can only be changed by modifying (PUT) the template. Tabs with a `senderRequired` value of true cannot be deleted from an envelope.
- `shared` (string, optional) — When set to **true**, this custom tab is shared.
- `status` (string, optional) — Tab status
- `tabGroupLabels` (list of string, optional)
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `tooltip` (string, optional)
- `underline` (string, optional) — When set to **true**, the information in the tab is underlined.
- `value` (string, optional) — The value to use when the item is selected.
- `width` (integer, optional) — Width of the tab in pixels.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero. To improve the tab's position on the document, DocuSign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)

### notarize

A tab that alerts notary recipients that they must take action on the page. Only one notarize tab can appear on a page.

- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
[...]
